/***************************************************************************/
/* 		This code is part of WWW grabber called pavuk		   */
/*		Copyright (c) 1997 - 2000 Stefan Ondrejicka		   */
/*		(ondrej@idata.sk)					   */
/*		Distributed under GPL 2 or later			   */
/***************************************************************************/

#ifndef _html_h_
#define _html_h_

#include "dllist.h"
#include "doc.h"

extern char * html_get_attrib_from_tag(char *, char *);
extern dllist *html_get_all_links(doc *, int, int, dllist **);
extern void relocate_html_doc(doc *);
extern void rewrite_parents_links(url *, char *);
extern void rewrite_one_parent_links(url *, url *, char *);
extern int html_remote_to_local_links(char **, doc *, int, int);
int html_tag_co_elem(char *, char *);

typedef struct {
	char 	*attrib;
	int	stat;
} html_tag_atrib;

typedef struct {
	char 		*tag;
	html_tag_atrib	attribs[6];
} html_tag;

#define LINK_INLINE	(1 << 0)
#define LINK_DOWNLD	(1 << 1)
#define LINK_REMOVE	(1 << 2)
#define LINK_DISABLED	(1 << 3)
#define LINK_STYLE	(1 << 4)
#define LINK_SCRIPT	(1 << 5)
#define LINK_FORM	(1 << 6)

extern html_tag linky[94];

#endif
